import { __rest } from '../../_virtual/_tslib.js';
import React__default from 'react';
import { UploaderContainer, Header, AssistText } from './styles.js';

const UploaderContainerWrapper = (_a) => {
    var { width, label, optionalText, assistText } = _a, props = __rest(_a, ["width", "label", "optionalText", "assistText"]);
    return (React__default.createElement(UploaderContainer, { "data-testid": props['data-testid'], "data-trackid": props['data-trackid'], width: width },
        label && (React__default.createElement(Header, null,
            React__default.createElement("span", null, label),
            optionalText && React__default.createElement("span", null, optionalText))),
        props.children,
        assistText && React__default.createElement(AssistText, null, assistText)));
};

export { UploaderContainerWrapper };
